Create Property
curl --request POST \
--url https://crm.universal.rollout.com/api/properties \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Rollout-Credential-Id: <api-key>' \
--data '
{
"address": {
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
},
"type": "<string>",
"currentValue": 123,
"appraisalDate": "2023-11-07T05:31:56Z",
"insured": true,
"loanId": "<string>",
"personId": "<string>",
"name": "<string>",
"mlsNumber": "<string>",
"purchasePrice": 123,
"appraisedValue": 123,
"occupancyType": "<string>",
"zoning": "<string>",
"propertyCharacteristics": {},
"insuranceProvider": "<string>",
"insurancePolicyNumber": "<string>"
}
'import requests
url = "https://crm.universal.rollout.com/api/properties"
payload = {
"address": {
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
},
"type": "<string>",
"currentValue": 123,
"appraisalDate": "2023-11-07T05:31:56Z",
"insured": True,
"loanId": "<string>",
"personId": "<string>",
"name": "<string>",
"mlsNumber": "<string>",
"purchasePrice": 123,
"appraisedValue": 123,
"occupancyType": "<string>",
"zoning": "<string>",
"propertyCharacteristics": {},
"insuranceProvider": "<string>",
"insurancePolicyNumber": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Rollout-Credential-Id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
address: {
type: '<string>',
street: '<string>',
city: '<string>',
state: '<string>',
code: '<string>',
country: '<string>',
county: '<string>'
},
type: '<string>',
currentValue: 123,
appraisalDate: '2023-11-07T05:31:56Z',
insured: true,
loanId: '<string>',
personId: '<string>',
name: '<string>',
mlsNumber: '<string>',
purchasePrice: 123,
appraisedValue: 123,
occupancyType: '<string>',
zoning: '<string>',
propertyCharacteristics: {},
insuranceProvider: '<string>',
insurancePolicyNumber: '<string>'
})
};
fetch('https://crm.universal.rollout.com/api/properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://crm.universal.rollout.com/api/properties",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'address' => [
'type' => '<string>',
'street' => '<string>',
'city' => '<string>',
'state' => '<string>',
'code' => '<string>',
'country' => '<string>',
'county' => '<string>'
],
'type' => '<string>',
'currentValue' => 123,
'appraisalDate' => '2023-11-07T05:31:56Z',
'insured' => true,
'loanId' => '<string>',
'personId' => '<string>',
'name' => '<string>',
'mlsNumber' => '<string>',
'purchasePrice' => 123,
'appraisedValue' => 123,
'occupancyType' => '<string>',
'zoning' => '<string>',
'propertyCharacteristics' => [
],
'insuranceProvider' => '<string>',
'insurancePolicyNumber' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Rollout-Credential-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://crm.universal.rollout.com/api/properties"
payload := strings.NewReader("{\n \"address\": {\n \"type\": \"<string>\",\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"code\": \"<string>\",\n \"country\": \"<string>\",\n \"county\": \"<string>\"\n },\n \"type\": \"<string>\",\n \"currentValue\": 123,\n \"appraisalDate\": \"2023-11-07T05:31:56Z\",\n \"insured\": true,\n \"loanId\": \"<string>\",\n \"personId\": \"<string>\",\n \"name\": \"<string>\",\n \"mlsNumber\": \"<string>\",\n \"purchasePrice\": 123,\n \"appraisedValue\": 123,\n \"occupancyType\": \"<string>\",\n \"zoning\": \"<string>\",\n \"propertyCharacteristics\": {},\n \"insuranceProvider\": \"<string>\",\n \"insurancePolicyNumber\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Rollout-Credential-Id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://crm.universal.rollout.com/api/properties")
.header("Authorization", "Bearer <token>")
.header("X-Rollout-Credential-Id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"address\": {\n \"type\": \"<string>\",\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"code\": \"<string>\",\n \"country\": \"<string>\",\n \"county\": \"<string>\"\n },\n \"type\": \"<string>\",\n \"currentValue\": 123,\n \"appraisalDate\": \"2023-11-07T05:31:56Z\",\n \"insured\": true,\n \"loanId\": \"<string>\",\n \"personId\": \"<string>\",\n \"name\": \"<string>\",\n \"mlsNumber\": \"<string>\",\n \"purchasePrice\": 123,\n \"appraisedValue\": 123,\n \"occupancyType\": \"<string>\",\n \"zoning\": \"<string>\",\n \"propertyCharacteristics\": {},\n \"insuranceProvider\": \"<string>\",\n \"insurancePolicyNumber\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://crm.universal.rollout.com/api/properties")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Rollout-Credential-Id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"address\": {\n \"type\": \"<string>\",\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"code\": \"<string>\",\n \"country\": \"<string>\",\n \"county\": \"<string>\"\n },\n \"type\": \"<string>\",\n \"currentValue\": 123,\n \"appraisalDate\": \"2023-11-07T05:31:56Z\",\n \"insured\": true,\n \"loanId\": \"<string>\",\n \"personId\": \"<string>\",\n \"name\": \"<string>\",\n \"mlsNumber\": \"<string>\",\n \"purchasePrice\": 123,\n \"appraisedValue\": 123,\n \"occupancyType\": \"<string>\",\n \"zoning\": \"<string>\",\n \"propertyCharacteristics\": {},\n \"insuranceProvider\": \"<string>\",\n \"insurancePolicyNumber\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"address": {
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
},
"type": "<string>",
"name": "<string>",
"mlsNumber": "<string>",
"purchasePrice": 123,
"currentValue": 123,
"appraisedValue": 123,
"appraisalDate": "2023-11-07T05:31:56Z",
"occupancyType": "<string>",
"zoning": "<string>",
"propertyCharacteristics": {},
"insured": true,
"insuranceProvider": "<string>",
"insurancePolicyNumber": "<string>",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"numberOfUnits": 123,
"mixedUse": true,
"manufacturedHome": true,
"rolloutUpdated": "2023-11-07T05:31:56Z",
"originalIds": {},
"original": {}
}{
"errorMessage": "<string>"
}{
"errors": [
{
"message": "<string>"
}
]
}Properties
Create Property
Requires properties: true in the credential’s entitiesToSync selection and a connector that supports this operation. Choose what data to sync, or fix an entity that is not configured to sync.
POST
/
properties
Create Property
curl --request POST \
--url https://crm.universal.rollout.com/api/properties \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Rollout-Credential-Id: <api-key>' \
--data '
{
"address": {
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
},
"type": "<string>",
"currentValue": 123,
"appraisalDate": "2023-11-07T05:31:56Z",
"insured": true,
"loanId": "<string>",
"personId": "<string>",
"name": "<string>",
"mlsNumber": "<string>",
"purchasePrice": 123,
"appraisedValue": 123,
"occupancyType": "<string>",
"zoning": "<string>",
"propertyCharacteristics": {},
"insuranceProvider": "<string>",
"insurancePolicyNumber": "<string>"
}
'import requests
url = "https://crm.universal.rollout.com/api/properties"
payload = {
"address": {
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
},
"type": "<string>",
"currentValue": 123,
"appraisalDate": "2023-11-07T05:31:56Z",
"insured": True,
"loanId": "<string>",
"personId": "<string>",
"name": "<string>",
"mlsNumber": "<string>",
"purchasePrice": 123,
"appraisedValue": 123,
"occupancyType": "<string>",
"zoning": "<string>",
"propertyCharacteristics": {},
"insuranceProvider": "<string>",
"insurancePolicyNumber": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Rollout-Credential-Id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
address: {
type: '<string>',
street: '<string>',
city: '<string>',
state: '<string>',
code: '<string>',
country: '<string>',
county: '<string>'
},
type: '<string>',
currentValue: 123,
appraisalDate: '2023-11-07T05:31:56Z',
insured: true,
loanId: '<string>',
personId: '<string>',
name: '<string>',
mlsNumber: '<string>',
purchasePrice: 123,
appraisedValue: 123,
occupancyType: '<string>',
zoning: '<string>',
propertyCharacteristics: {},
insuranceProvider: '<string>',
insurancePolicyNumber: '<string>'
})
};
fetch('https://crm.universal.rollout.com/api/properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://crm.universal.rollout.com/api/properties",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'address' => [
'type' => '<string>',
'street' => '<string>',
'city' => '<string>',
'state' => '<string>',
'code' => '<string>',
'country' => '<string>',
'county' => '<string>'
],
'type' => '<string>',
'currentValue' => 123,
'appraisalDate' => '2023-11-07T05:31:56Z',
'insured' => true,
'loanId' => '<string>',
'personId' => '<string>',
'name' => '<string>',
'mlsNumber' => '<string>',
'purchasePrice' => 123,
'appraisedValue' => 123,
'occupancyType' => '<string>',
'zoning' => '<string>',
'propertyCharacteristics' => [
],
'insuranceProvider' => '<string>',
'insurancePolicyNumber' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Rollout-Credential-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://crm.universal.rollout.com/api/properties"
payload := strings.NewReader("{\n \"address\": {\n \"type\": \"<string>\",\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"code\": \"<string>\",\n \"country\": \"<string>\",\n \"county\": \"<string>\"\n },\n \"type\": \"<string>\",\n \"currentValue\": 123,\n \"appraisalDate\": \"2023-11-07T05:31:56Z\",\n \"insured\": true,\n \"loanId\": \"<string>\",\n \"personId\": \"<string>\",\n \"name\": \"<string>\",\n \"mlsNumber\": \"<string>\",\n \"purchasePrice\": 123,\n \"appraisedValue\": 123,\n \"occupancyType\": \"<string>\",\n \"zoning\": \"<string>\",\n \"propertyCharacteristics\": {},\n \"insuranceProvider\": \"<string>\",\n \"insurancePolicyNumber\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Rollout-Credential-Id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://crm.universal.rollout.com/api/properties")
.header("Authorization", "Bearer <token>")
.header("X-Rollout-Credential-Id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"address\": {\n \"type\": \"<string>\",\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"code\": \"<string>\",\n \"country\": \"<string>\",\n \"county\": \"<string>\"\n },\n \"type\": \"<string>\",\n \"currentValue\": 123,\n \"appraisalDate\": \"2023-11-07T05:31:56Z\",\n \"insured\": true,\n \"loanId\": \"<string>\",\n \"personId\": \"<string>\",\n \"name\": \"<string>\",\n \"mlsNumber\": \"<string>\",\n \"purchasePrice\": 123,\n \"appraisedValue\": 123,\n \"occupancyType\": \"<string>\",\n \"zoning\": \"<string>\",\n \"propertyCharacteristics\": {},\n \"insuranceProvider\": \"<string>\",\n \"insurancePolicyNumber\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://crm.universal.rollout.com/api/properties")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Rollout-Credential-Id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"address\": {\n \"type\": \"<string>\",\n \"street\": \"<string>\",\n \"city\": \"<string>\",\n \"state\": \"<string>\",\n \"code\": \"<string>\",\n \"country\": \"<string>\",\n \"county\": \"<string>\"\n },\n \"type\": \"<string>\",\n \"currentValue\": 123,\n \"appraisalDate\": \"2023-11-07T05:31:56Z\",\n \"insured\": true,\n \"loanId\": \"<string>\",\n \"personId\": \"<string>\",\n \"name\": \"<string>\",\n \"mlsNumber\": \"<string>\",\n \"purchasePrice\": 123,\n \"appraisedValue\": 123,\n \"occupancyType\": \"<string>\",\n \"zoning\": \"<string>\",\n \"propertyCharacteristics\": {},\n \"insuranceProvider\": \"<string>\",\n \"insurancePolicyNumber\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"address": {
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>",
"county": "<string>"
},
"type": "<string>",
"name": "<string>",
"mlsNumber": "<string>",
"purchasePrice": 123,
"currentValue": 123,
"appraisedValue": 123,
"appraisalDate": "2023-11-07T05:31:56Z",
"occupancyType": "<string>",
"zoning": "<string>",
"propertyCharacteristics": {},
"insured": true,
"insuranceProvider": "<string>",
"insurancePolicyNumber": "<string>",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"numberOfUnits": 123,
"mixedUse": true,
"manufacturedHome": true,
"rolloutUpdated": "2023-11-07T05:31:56Z",
"originalIds": {},
"original": {}
}{
"errorMessage": "<string>"
}{
"errors": [
{
"message": "<string>"
}
]
}Authorizations
Query Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
The created property.
The created property.